<?php

namespace Drupal\feeds_ical\Feeds\Parser\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\feeds\Plugin\Type\ExternalPluginFormBase;

/**
 * The configuration form for the Ical parser.
 */
class IcalParserForm extends ExternalPluginFormBase {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {

    $config = $this->plugin->getConfiguration();
    $form['filter_days_before'] = [
      '#type' => 'number',
      '#min' => 0,
      '#title' => $this->t('Filter Days Before'),
      '#description' => $this->t('Events older than this number of days are ignored. 0 means no filtering.'),
      '#default_value' => $config['filter_days_before'] ?? 0,
    ];

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function submitConfigurationForm(array &$form, FormStateInterface $form_state) {
    $this->plugin->setConfiguration([
      'filter_days_before' => $form_state->getValue('filter_days_before'),
    ]);
  }

}
